package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 供应方式
 */
@AllArgsConstructor
@Getter
public enum ESupplyWay {

    /**
     * 自营
     */
    SELF(0, "自营", 0, EnumsPrefixConstants.SUPPLY_WAY + "0"),

    /**
     * 非自营
     */
    NO_SELF(1, "非自营", 0, EnumsPrefixConstants.SUPPLY_WAY + "1"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static ESupplyWay getESupplyWay(int value) {
        for (ESupplyWay eSupplyWay : ESupplyWay.values()) {
            if (eSupplyWay.value == value) {
                return eSupplyWay;
            }
        }
        return null;
    }

}
